<?php

namespace App\Services\ThirdPlatform;

use App\Jobs\queue\QueueJob;
use App\Repositories\Contracts\ThirdApiPlatformRepository;
use App\Services\Kafka\KafkaService;
use App\Services\PlatformDataEntriesService;
use App\Support\Facades\SimpleKafka;
use Illuminate\Support\Str;

class ThirdPlatformService extends PlatformAbstractService
{
    public function __construct()
    {
        parent::__construct(app(ThirdApiPlatformRepository::class));
    }

    public function checkPlatformToken($platformName)
    {
        $this->setPlatformName($platformName);
        $platform = $this->getPlatformInfo('platform_token');
        return $platform ? $platform : [];
    }

    public function checkUrlFrom($url)
    {
        $platformInfo = $this->getPlatformInfo();
        if(!$platformInfo){
            return false;
        }
        if($platformInfo['platform_type'] == 'self'){
            $domain = substr($url, 7);
            if(!Str::endsWith(strtolower((string) $platformInfo['platform_url']), $domain)){
                return false;
            }
        }
        return true;
    }
}

